<?xml version="1.0" encoding="UTF-8"?>
<MVACATION0 desc_thai="ทะเบียนเงื่อนไขสิทธิการลาพักร้อน" desc_eng="Vacation Table" editcheck="true" mainhelp="MVACATION0HELP" referhelp="MVACATION0HELP" mainkey="VACATIONID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<VACATIONID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Vacation ID</DESC_ENG>
			<DESC_THAI>รหัสเงื่อนไขการลาพักร้อน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสตารางเงื่อนไขการลาพักร้อน</ALT_THAI>
				<ALT_ENG>Vacation ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</VACATIONID>
		<EDESC lang="E" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EDESC>
		<TDESC lang="T" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TDESC>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<VACATION_LAST lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Vacation Date Last Year</DESC_ENG>
			<DESC_THAI>สิทธิลาพักร้อนปีก่อนใช้ได้ถึงวันที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Vacation Date Last Year</ALT_ENG>
				<ALT_THAI>สิทธิลาพักร้อนปีก่อนใช้ได้ถึงวันที่</ALT_THAI>
			</COMPONENT>
		</VACATION_LAST>
		<!-- Nuiss Add new Fields 22/01/2552-->
		<ISCREATE_V0 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>ISCREATE_V0</DESC_ENG>
			<DESC_THAI>คำนวนยอดยกมาของสิทธิลาพักร้อนหรือไม่?</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>ISCREATE_V0</ALT_ENG>
				<ALT_THAI>คำนวนยอดยกมาของสิทธิลาพักร้อนหรือไม่?</ALT_THAI>
			</COMPONENT>
		</ISCREATE_V0>
		<FIXRATE_V0 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>4</WIDTH>
			<DESC_ENG>FIXRATE_V0</DESC_ENG>
			<DESC_THAI>จำนวนยอดยกมาวันลาพักร้อนคงที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>FIXRATE_V0</ALT_ENG>
				<ALT_THAI>จำนวนยอดยกมาวันลาพักร้อนคงที่</ALT_THAI>
			</COMPONENT>
		</FIXRATE_V0>
		<FIXOVERFLOW_V0 lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>4</WIDTH>
			<DESC_ENG>FIXOVERFLOW_V0</DESC_ENG>
			<DESC_THAI>จำนวนยอดยกมาวันลาพักร้อนสะสมได้ไม่เกิน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>FIXOVERFLOW_V0</ALT_ENG>
				<ALT_THAI>จำนวนยอดยกมาวันลาพักร้อนสะสมได้ไม่เกิีน</ALT_THAI>
			</COMPONENT>
		</FIXOVERFLOW_V0>
		<V0_USEBEFORE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>V0_USEBEFORE</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุดการใชวันลาพักร้อนปีก่อน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>V0_USEBEFORE</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุดการใชวันลาพักร้อนปีก่อน</ALT_THAI>
			</COMPONENT>
		</V0_USEBEFORE>
		<V1_STDATE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>V1_STDATE</DESC_ENG>
			<DESC_THAI>วันที่เริ่มต้นปีงบประมาณ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>V1_STDATE</ALT_ENG>
				<ALT_THAI>วันที่เริ่มต้นปีงบประมาณ</ALT_THAI>
			</COMPONENT>
		</V1_STDATE>
		<V1_ENDDATE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>V1_ENDDATE</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุดปีงบประมาณ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>V1_ENDDATE</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุดปีงบประมาณ</ALT_THAI>
			</COMPONENT>
		</V1_ENDDATE>
		<IS1YEAR lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>IS1YEAR</DESC_ENG>
			<DESC_THAI>ถ้าอายุงานน้อยกว่า 1 ปี เมื่อทำงานข้ามปีปัดอายุงานให้หรือไม่?</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>IS1YEAR</ALT_ENG>
				<ALT_THAI>ถ้าอายุงานน้อยกว่า 1 ปี เมื่อทำงานข้ามปีปัดอายุงานให้หรือไม่?</ALT_THAI>
			</COMPONENT>
		</IS1YEAR> 
		<!-- Nuiss Add new Fields 22/01/2552-->
	</FIELD>
	<RELATION>
		<MVACATION1 mode="0" dependlevel="false">
			<PARENT>MVACATION0.VACATIONID</PARENT>
			<PARENT>MVACATION0.COMPANYID</PARENT>
			<CHILD>MVACATION1.VACATIONID</CHILD>
			<CHILD>MVACATION1.COMPANYID</CHILD>
		</MVACATION1>		
		<MEMPLOYEE mode="0" >
			<PARENT>MVACATION0.VACATIONID</PARENT>
			<PARENT>MVACATION0.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.VACATIONCODE</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>	
	</RELATION>
</MVACATION0>
